Delen via


Sql Agent - Get

Hiermee wordt de configuratie van de sql-agent van het huidige exemplaar ophaalt.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/sqlAgent/current?api-version=2023-08-01

URI-parameters

Name In Vereist Type Description
managedInstanceName
path True

string

De naam van het beheerde exemplaar.

resourceGroupName
path True

string

De naam van de resourcegroep die de resource bevat. U kunt deze waarde verkrijgen via de Azure Resource Manager-API of de portal.

subscriptionId
path True

string

De abonnements-id waarmee een Azure-abonnement wordt geïdentificeerd.

api-version
query True

string

De API-versie die moet worden gebruikt voor de aanvraag.

Antwoorden

Name Type Description
200 OK

SqlAgentConfiguration

De huidige configuratie van de SQL-agent is opgehaald.

Other Status Codes

ErrorResponse

Foutreacties: ***

  • 400 SqlAgentManagedServerNotFound : gebruiker heeft geprobeerd de SQL-agent van een onbekend beheerd exemplaar te configureren.

Voorbeelden

Gets current instance sql agent configuration.

Voorbeeldaanvraag

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/managedInstances/sqlcrudtest-4645/sqlAgent/current?api-version=2023-08-01

Voorbeeldrespons

{
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/managedInstances/sqlcrudtest-4645/sqlAgent/current",
  "name": "current",
  "type": "Microsoft.Sql/managedInstances/sqlAgent",
  "properties": {
    "state": "Enabled"
  }
}

Definities

Name Description
ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

SqlAgentConfiguration

Een herstelbare beheerde databaseresource.

SqlAgentState

De status van Sql Agent.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoel.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.

SqlAgentConfiguration

Een herstelbare beheerde databaseresource.

Name Type Description
id

string

Resource-id.

name

string

Resourcenaam.

properties.state

SqlAgentState

De status van Sql Agent.

type

string

Resourcetype.

SqlAgentState

De status van Sql Agent.

Waarde Description
Enabled
Disabled